<?php
$heading_level = mb_get_block_field("notice_heading_level");
$heading_color = mb_get_block_field("notice_heading_color");
$heading = mb_get_block_field("notice_heading");
$text_color = mb_get_block_field("notice_text_color");
$text = mb_get_block_field("notice_text");
$bg_color = mb_get_block_field("notice_bg_color");
?>
<section <?= inoby_block_attrs($attributes, ["class" => "component-notice"]) ?>>
  <div class="container">
    <div class="row">
      <div class="col-12">
        <div class="notice-wrap" <?php if (!empty($bg_color)) {
          echo 'style="background-color:' . $bg_color . ';"';
        } ?>>
          <?php
          if ($heading_level) {
            echo "<" . $heading_level . ' style="color:' . $heading_color . ';">' . $heading . "</" . $heading_level . ">";
          }
          if ($text) {
            echo '<p style="color:' . $text_color . ';">' . $text . "</p>";
          }
          ?>
        </div>
      </div>
    </div>
  </div>
</section>